<template>
    <base-table v-bind:apiEndpoint="apiEndpoint"
            v-bind:pagination="pagination"
            v-bind:page="page"
    >
    </base-table>
</template>
<script>
    import axios from 'axios'
    import BaseTable from './baseTable.vue'
    export default ({
        name: 'PokeList',
        components: {
          'base-table' : BaseTable
        },
        data: function() {
            return {
                apiEndpoint: '/api/pokemon',
                pagination: 5,
                page: 1
            }
        },
        created: function () {
        }
    });
</script>